
var _PATH = "/NOA/";
//var _PATH = "/X/NOA/";

var xmlHttpObject = new XMLHttpRequest(); // function 内で call すると駄目のようだ

function gotAcceptedValue(){
	// サーバから返された処理を実行
	if ((xmlHttpObject.readyState == 4) && (xmlHttpObject.status == 200)){
		var value = xmlHttpObject.responseText;
        
        // SENDER にサーバからの戻り値を返す
        postMessage(value);
	}
}

self.onmessage = function (event) {
    // 命令の文字列を受け取る
    var str = event.data;

    // SENDER にメッセージを返す
    if (xmlHttpObject){ // GETパラメータ付きでリクエスト送信
        // 状態が変わった時に func: gotAcceptedPatient が実行される
        xmlHttpObject.onreadystatechange = gotAcceptedValue;
        
        var st = _PATH + "server.php?command=DO_MULTI_THREAD"
        + "&value=" + str;
        
        xmlHttpObject.open("GET", encodeURI(st), true);
        xmlHttpObject.send(null);
    }
}
